pdwtest {plm} | R Documentation

## Durbin–Watson Test for Panel Models

### Description

Test of serial correlation for (the idiosyncratic component of) the errors in panel models.

### Usage

    pdwtest(x, ...)
    ## S3 method for class 'panelmodel'
    pdwtest(x, ...)
    ## S3 method for class 'formula'
    pdwtest(x, data, ...)

### Arguments

`x` | an object of class `"panelmodel"` or of class `"formula"`,
`data` | a `data.frame`,
`...` | further arguments to be passed on to `dwtest`.

### Details

This Durbin–Watson test uses the auxiliary model on (quasi-)demeaned data taken from a model of class `plm` which may be a `pooling` (the default), `random` or `within` model. It performs a dw test (using `dwtest` from package `lmtest`) on the residuals of the (quasi-)demeaned model, which should be serially uncorrelated under the null of no serial correlation in idiosyncratic errors. The function takes the demeaned data, estimates the model and calls `dwtest`.

### Value

An object of class `"htest"`.

### Author(s)

Giovanni Millo

### References

Baltagi, B.H. (2005) Econometric Analysis of Panel Data, 3rd. ed., Wiley, p. 98.

Wooldridge, J.M. (2002) Econometric Analysis of Cross-Section and Panel Data, MIT Press, p. 288.

### See Also

`pbgtest` for the analogous Breusch–Godfrey test, `dwtest` for the Breusch–Godfrey test for serial correlation in the linear model. `pbltest`, `pbsytest`, `pwartest` and `pwfdtest` for other serial correlation tests for panel models.

### Examples

    data("Grunfeld", package = "plm")
    g <- plm(inv ~ value + capital, data = Grunfeld, model="random")
    pdwtest(g)
    pdwtest(g, alternative="two.sided")
    ## formula interface
    pdwtest(inv ~ value + capital, data=Grunfeld, model="random")

[Package plm version 1.5-12 Index]